Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui
Class AbstractEntityLoader<T>

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.ui.AbstractEntityLoader<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HibernateEntityLoader, JpaEntityLoader

    public abstract class AbstractEntityLoader<T>

extends org.jboss.seam.framework.PersistenceController<T>

Helper class to load entities for the entity converter

Author:
  Pete Muir
See Also:
  Serialized Form

Constructor Summary
`AbstractEntityLoader()`

Method Summary
`protected abstract org.jboss.seam.framework.Identifier` | `createIdentifier(Object entity)`
`Object` | `get(String key)` Load and return the entity stored
`static AbstractEntityLoader` | `instance()`
`String` | `put(Object entity)` Store an entity id/clazz
`abstract void` | `validate()`

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, getPersistenceContextName, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, createValueExpression, createValueExpression, debug, debug, error, error, evaluateValueExpression, evaluateValueExpression, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getStatusMessages, getValidator, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEntityLoader

    public AbstractEntityLoader()

Method Detail

### get

    @Transactional
    public Object get(String key)

  Load and return the entity stored

  Parameters:
    `key` -
  Returns:
    The entity or null if no entity is available at that key

### put

    @Transactional
    public String put(Object entity)

  Store an entity id/clazz

  Parameters:
    `entity` - The entity to store
  Returns:
    The key under which the clazz/id are stored

### createIdentifier

    protected abstract org.jboss.seam.framework.Identifier createIdentifier(Object entity)

### validate

    public abstract void validate()

### instance

    public static AbstractEntityLoader instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.